BlackExhaustSmoke = {}

function BlackExhaustSmoke.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations)
end
function BlackExhaustSmoke.registerOverwrittenFunctions(vehicleType)
    SpecializationUtil.registerOverwrittenFunction(vehicleType, "onExhaustEffectI3DLoaded", BlackExhaustSmoke.onExhaustEffectI3DLoaded)
end

function BlackExhaustSmoke:onExhaustEffectI3DLoaded(superFunc, i3dNode, failedReason, args)
	local spec = self.spec_motorized
	superFunc(self, i3dNode, failedReason, args)
	if spec.exhaustEffects ~= nil then
		for _, effect in pairs(spec.exhaustEffects) do
			--print("changing exhaust effect")
			effect.minRpmColor = {0.1, 0.1, 0.15, 0.1}
			effect.maxRpmColor = {0.1, 0.1, 0.15, math.sqrt(spec.motor.peakMotorPower)/9}
		end
	end
end
